//serialPort(ttyUSB0).		/* when using a arduino board */
serialPort(ttyEmulatedPort0).	/* when using the simulIDE */


/* Initial goals */
!start.

/* Plans */
+!start: serialPort(Port) 
<- 
    argo.port(Port); 
    argo.limit(1000); 
    argo.percepts(open).

+device(D): D = arduinoWithLCDKeypadShield <- 
	argo.percepts(close); 
	.random(R); .wait(3000*R);
	argo.act(greenAlert);
	.wait(3000*R);
	.my_name(N); .concat(N," is online!",LCDMessage);
	.print(LCDMessage); !infoLCD(LCDMessage); 
	.wait(3000*R); argo.percepts(open). 

+rainLast24hrs(RainStatus) <- .print("New perception-> rainLevel: ",RainStatus," mm"). 
+humidity(H) <- .print("New perception-> humidity: ",H," %"). 
+temperature(T) <- .print("New perception-> temperature: ",T," Celsius").

+!infoLCD(Message) <- argo.act(Message).
+!yellowAlert <- argo.act(yellowAlert).
+!greenAlert <- argo.act(greenAlert).
+!redAlert <- argo.act(redAlert).
